# WebGLTextureUtils

## Import

WebGLTextureUtils is an addon, and must be imported explicitly, see Installation#Addons.

    import * as WebGLTextureUtils from 'three/addons/utils/WebGLTextureUtils.js';

## Static Methods

### .decompress ( texture : CompressedTexture, maxTextureSize : number, renderer : WebGLRenderer ) : CanvasTexture

Returns an uncompressed version of the given compressed texture.

This module can only be used with WebGLRenderer. When using WebGPURenderer, import the function from WebGPUTextureUtils.

texture | The compressed texture.
maxTextureSize | The maximum size of the uncompressed texture. Default is `Infinity`.
renderer | A reference to a renderer. Default is `null`.

Returns: The uncompressed texture.

## Source

examples/jsm/utils/WebGLTextureUtils.js